Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class DefaultNSPrefixResolver

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.PrefixResolverDefault
            |
            +--com.bea.wlpi.common.DefaultNSPrefixResolver

public class DefaultNSPrefixResolver
extends weblogic.apache.xml.utils.PrefixResolverDefault

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DEFAULTNSPREFIX`
`static java.lang.String` | `DEFAULTNSPREFIXPROP`

Fields inherited from class weblogic.apache.xml.utils.PrefixResolverDefault
`S_XMLNAMESPACEURI`

Constructor Summary
`DefaultNSPrefixResolver(org.w3c.dom.Node context)` Create a new DefaultNSPrefixResolver.

Method Summary
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, org.w3c.dom.Node context)`

Methods inherited from class weblogic.apache.xml.utils.PrefixResolverDefault
`getBaseIdentifier, getNamespaceForPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULTNSPREFIXPROP

    public static final java.lang.String DEFAULTNSPREFIXPROP

### DEFAULTNSPREFIX

    public static java.lang.String DEFAULTNSPREFIX

Constructor Detail

### DefaultNSPrefixResolver

    public DefaultNSPrefixResolver(org.w3c.dom.Node context)

  Create a new DefaultNSPrefixResolver.

  Parameters:
    `context` -

Method Detail

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  org.w3c.dom.Node context)

  Parameters:
    `prefix` -
    `context` -
  Returns:
  Overrides:
    getNamespaceForPrefix in class weblogic.apache.xml.utils.PrefixResolverDefault

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)